## org.apache.commons.collections.map
Class UnmodifiableEntrySet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.set.AbstractSetDecorator
              org.apache.commons.collections.map.UnmodifiableEntrySet

All Implemented Interfaces:
  Collection, Set, Unmodifiable

public final class UnmodifiableEntrySet
extends AbstractSetDecorator
implements Unmodifiable

Decorates a map entry `Set` to ensure it can't be altered.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/02/18 01:13:19 $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Method Summary
`boolean` `add(Object object)`
`boolean` `addAll(Collection coll)`
`void` `clear()`
`static Set` `decorate(Set set)` Factory method to create an unmodifiable set of Map Entry objects.
`Iterator` `iterator()`
`boolean` `remove(Object object)`
`boolean` `removeAll(Collection coll)`
`boolean` `retainAll(Collection coll)`
`Object[]` `toArray()`
`Object[]` `toArray(Object[] array)`

Methods inherited from class org.apache.commons.collections.set.AbstractSetDecorator
`getSet`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`contains, containsAll, equals, hashCode, isEmpty, size`

Method Detail

### decorate

    public static Set decorate(Set set)

  Factory method to create an unmodifiable set of Map Entry objects.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if set is null

### add

    public boolean add(Object object)

  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(Collection coll)

  Specified by:
    `addAll` in interface `Set`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Set`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(Object object)

  Specified by:
    `remove` in interface `Set`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(Collection coll)

  Specified by:
    `removeAll` in interface `Set`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(Collection coll)

  Specified by:
    `retainAll` in interface `Set`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Set`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Set`
  Overrides:
    `toArray` in class `AbstractCollectionDecorator`

### toArray

    public Object[] toArray(Object[] array)

  Specified by:
    `toArray` in interface `Set`
  Overrides:
    `toArray` in class `AbstractCollectionDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.